> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search shape types

> Search Shape types.

**Operation ID:** `http.shapes.search`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/shapes/search
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/shapes/search
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/shapes/search:
    get:
      tags:
        - Shapes
      summary: Search shape types
      description: |-
        Search Shape types.

        Product guidance: [Shape](/concepts/shape).
      operationId: http.shapes.search
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: q
          in: query
          required: false
          description: The words to search for.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: How many results, 1 to 20. Defaults to 20.
          schema:
            type: string
            pattern: ^[0-9]{1,2}$
        - name: cursor
          in: query
          required: false
          description: The cursor the previous page returned.
          schema:
            type: string
            minLength: 1
        - name: scope
          in: query
          required: false
          description: all, project or library. Defaults to all.
          schema:
            type: string
            enum:
              - all
              - project
              - library
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_shapes_search_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_shapes_search_response:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              type_id:
                type: string
              name:
                type: string
              display_name:
                anyOf:
                  - type: string
                  - type: 'null'
              tagline:
                anyOf:
                  - type: string
                  - type: 'null'
              definition:
                anyOf:
                  - type: string
                  - type: 'null'
              key_properties:
                type: array
                items:
                  type: string
              aliases:
                type: array
                items:
                  type: string
              examples:
                type: array
                items:
                  type: string
              boundary:
                anyOf:
                  - type: object
                    properties:
                      inclusions:
                        anyOf:
                          - type: string
                          - type: 'null'
                      exclusions:
                        anyOf:
                          - type: string
                          - type: 'null'
                      absence_rule:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - inclusions
                      - exclusions
                      - absence_rule
                    additionalProperties: {}
                  - type: 'null'
              score:
                type: number
              shapes:
                type: array
                items:
                  type: object
                  properties:
                    shape_id:
                      type: string
                    artifact_digest:
                      type: string
                    revision_id:
                      type: string
                    generation:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    name:
                      anyOf:
                        - type: string
                        - type: 'null'
                    description:
                      anyOf:
                        - type: string
                        - type: 'null'
                    publisher:
                      anyOf:
                        - type: string
                        - type: 'null'
                    publisher_name:
                      anyOf:
                        - type: string
                        - type: 'null'
                    category:
                      anyOf:
                        - type: string
                        - type: 'null'
                    origin:
                      type: string
                      enum:
                        - project
                        - library
                    status:
                      type: string
                      enum:
                        - usable
                        - available
                        - update_available
                  required:
                    - shape_id
                    - artifact_digest
                    - revision_id
                    - generation
                    - name
                    - description
                    - publisher
                    - publisher_name
                    - category
                    - origin
                    - status
                  additionalProperties: {}
            required:
              - type_id
              - name
              - display_name
              - tagline
              - definition
              - key_properties
              - aliases
              - examples
              - boundary
              - score
              - shapes
            additionalProperties: {}
        page:
          type: object
          properties:
            next_cursor:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - next_cursor
          additionalProperties: false
      required:
        - data
        - page
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.